package spring.sample.aop.proxy;

import java.lang.reflect.Method;

import spring.sample.aop.*;

import org.springframework.aop.ClassFilter;
import org.springframework.aop.support.RootClassFilter;
import org.springframework.aop.support.StaticMethodMatcherPointcutAdvisor;

/**
 * ポイントカットを含むAround AdviceのLog出力の実装です。<br>
 * <PRE>
 * このポイントカットは、ビジネス層のインタフェースであるPetFriendServiceを含む
 * 具象クラス、全てのメソッドを対象としています。
 * </PRE>
 * <br>
 * @author MBeans
 * @version 1.0
 */
public class LogPointcutAdvisor extends StaticMethodMatcherPointcutAdvisor {

	public ClassFilter getClassFilter() {
			return new RootClassFilter(IMameTestBean.class);
	}

	public boolean matches(Method m, Class targetClass) {
		return m.getName().startsWith("set");
	}

}
